%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

Name:           glite-lb-doc
Version:        1.4.17
Release:        1%{?dist}
Summary:        gLite Logging and Bookkeeping documentation

Group:          Documentation
License:        ASL 2.0
URL:            http://glite.cern.ch
Vendor:         EMI
Source:         http://scientific.zcu.cz/emi/emi.lb.doc/%{name}-%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch:      noarch
BuildRequires:  glite-lb-types
BuildRequires:  perl
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(POSIX)
%if 0%{?rhel} >= 6 || 0%{?fedora}
BuildRequires:  tex(latex)
%if 0%{?rhel} >= 7 || 0%{?fedora}
BuildRequires:  tex(lastpage.sty)
BuildRequires:  tex(multirow.sty)
%endif
%else
BuildRequires:  tetex-latex
%endif

%description
glite-lb-doc is a package containing the complete LB documentation. This
package contains the LB User's Guide (LBUG.pdf), LB Administrator's Guide
(LBAG.pdf), LB Developer's Guide (LBDG.pdf) and LB Test Plan
(LBTP.pdf).


%prep
%setup -q


%build
perl ./configure --root=/ --prefix=%{_prefix} --libdir=%{_lib} --docdir=%{_pkgdocdir} --project=emi
# parallel build not supported (problems with pdflatex)
make


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
install -m 0644 ChangeLog LICENSE %{buildroot}%{_pkgdocdir}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%dir %{_pkgdocdir}/
%dir %{_pkgdocdir}/examples/
%{_pkgdocdir}/examples/*
%{_pkgdocdir}/ChangeLog
%{_pkgdocdir}/LICENSE
%{_pkgdocdir}/README
%{_pkgdocdir}/LBAG.pdf
%{_pkgdocdir}/LBUG.pdf
%{_pkgdocdir}/LBDG.pdf
%{_pkgdocdir}/LBTG.pdf
%{_pkgdocdir}/LBTP.pdf


%changelog
* Wed Jun 25 2014 CESNET Product Teams <emi-lb@metacentrum.cz> - 1.4.17-1
- automatically generated package
